<template>
    <div class="wrapper">
        <header>
            <div class="nav">
                <div class="logo">
                    <a href="#">
                        <img 
                            alt="home_logo" 
                            src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7"
                        >
                    </a>
                </div>
                <div class="links">
                    <router-link to="/order__drafts">Заказы</router-link>

                    <span :class="{active: activeClass === 'about'}" @click="scrollTo('about')"> О компании </span>
                    <span :class="{active: activeClass === 'advantages'}" @click="scrollTo('advantages')"> Клиентам </span>
                    <span :class="{active: activeClass === 'carrier'}" @click="scrollTo('carrier')"> Перевозчикам </span>
                    <span :class="{active: activeClass === 'finteh'}" @click="scrollTo('finteh')"> Финтех </span>
                    <span :class="{active: activeClass === 'news'}" @click="scrollTo('news')"> Новости </span>

                    <a target="_blank" href="https://hh.ru/employer/2995414">Вакансии</a>
                </div>
                <div class="right">
                    <div class="soc">
                        <a href="#">
                            <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="30px" height="30px" viewBox="0 0 48 48" enable-background="new 0 0 48 48" xml:space="preserve"> <path d="M47.761,24c0,13.121-10.638,23.76-23.758,23.76C10.877,47.76,0.239,37.121,0.239,24c0-13.124,10.638-23.76,23.764-23.76 C37.123,0.24,47.761,10.876,47.761,24 M20.033,38.85H26.2V24.01h4.163l0.539-5.242H26.2v-3.083c0-1.156,0.769-1.427,1.308-1.427 h3.318V9.168L26.258,9.15c-5.072,0-6.225,3.796-6.225,6.224v3.394H17.1v5.242h2.933V38.85z"></path> </svg>
                        </a>
                        <a href="#">
                            <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="30px" height="30px" viewBox="0 0 48 48" enable-background="new 0 0 48 48" xml:space="preserve"> <path d="M47.761,24c0,13.121-10.639,23.76-23.76,23.76C10.878,47.76,0.239,37.121,0.239,24c0-13.123,10.639-23.76,23.762-23.76 C37.122,0.24,47.761,10.877,47.761,24 M35.259,28.999c-2.621-2.433-2.271-2.041,0.89-6.25c1.923-2.562,2.696-4.126,2.45-4.796 c-0.227-0.639-1.64-0.469-1.64-0.469l-4.71,0.029c0,0-0.351-0.048-0.609,0.106c-0.249,0.151-0.414,0.505-0.414,0.505 s-0.742,1.982-1.734,3.669c-2.094,3.559-2.935,3.747-3.277,3.524c-0.796-0.516-0.597-2.068-0.597-3.171 c0-3.449,0.522-4.887-1.02-5.259c-0.511-0.124-0.887-0.205-2.195-0.219c-1.678-0.016-3.101,0.007-3.904,0.398 c-0.536,0.263-0.949,0.847-0.697,0.88c0.31,0.041,1.016,0.192,1.388,0.699c0.484,0.656,0.464,2.131,0.464,2.131 s0.282,4.056-0.646,4.561c-0.632,0.347-1.503-0.36-3.37-3.588c-0.958-1.652-1.68-3.481-1.68-3.481s-0.14-0.344-0.392-0.527 c-0.299-0.222-0.722-0.298-0.722-0.298l-4.469,0.018c0,0-0.674-0.003-0.919,0.289c-0.219,0.259-0.018,0.752-0.018,0.752 s3.499,8.104,7.463,12.23c3.638,3.784,7.764,3.36,7.764,3.36h1.867c0,0,0.566,0.113,0.854-0.189 c0.265-0.288,0.256-0.646,0.256-0.646s-0.034-2.512,1.129-2.883c1.15-0.36,2.624,2.429,4.188,3.497 c1.182,0.812,2.079,0.633,2.079,0.633l4.181-0.056c0,0,2.186-0.136,1.149-1.858C38.281,32.451,37.763,31.321,35.259,28.999"></path> </svg>
                        </a>
                        <a href="#">
                            <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="30px" height="30px" viewBox="0 0 30 30" xml:space="preserve"> <desc>Instagram</desc> <path d="M15,11.014 C12.801,11.014 11.015,12.797 11.015,15 C11.015,17.202 12.802,18.987 15,18.987 C17.199,18.987 18.987,17.202 18.987,15 C18.987,12.797 17.199,11.014 15,11.014 L15,11.014 Z M15,17.606 C13.556,17.606 12.393,16.439 12.393,15 C12.393,13.561 13.556,12.394 15,12.394 C16.429,12.394 17.607,13.561 17.607,15 C17.607,16.439 16.444,17.606 15,17.606 L15,17.606 Z"></path> <path d="M19.385,9.556 C18.872,9.556 18.465,9.964 18.465,10.477 C18.465,10.989 18.872,11.396 19.385,11.396 C19.898,11.396 20.306,10.989 20.306,10.477 C20.306,9.964 19.897,9.556 19.385,9.556 L19.385,9.556 Z"></path> <path d="M15.002,0.15 C6.798,0.15 0.149,6.797 0.149,15 C0.149,23.201 6.798,29.85 15.002,29.85 C23.201,29.85 29.852,23.202 29.852,15 C29.852,6.797 23.201,0.15 15.002,0.15 L15.002,0.15 Z M22.666,18.265 C22.666,20.688 20.687,22.666 18.25,22.666 L11.75,22.666 C9.312,22.666 7.333,20.687 7.333,18.28 L7.333,11.734 C7.333,9.312 9.311,7.334 11.75,7.334 L18.25,7.334 C20.688,7.334 22.666,9.312 22.666,11.734 L22.666,18.265 L22.666,18.265 Z"></path> </svg>
                        </a>
                    </div>
                    <a class="contacts" href="#">Контакты</a>
                    <!--<a class="lang" href="#">En</a>-->
                </div>
            </div>
        </header>
        <section class="first-section">
            <div class="iframe-wrapper">
                <iframe src="https://www.youtube.com/embed/WOVP_iohRLI?autoplay=1&amp;loop=1&amp;enablejsapi=1&amp;&amp;playerapiid=featuredytplayer&amp;controls=0&amp;modestbranding=1&amp;rel=0&amp;showinfo=0&amp;color=white&amp;iv_load_policy=3&amp;theme=light&amp;wmode=transparent&amp;origin=file://&amp;playlist=WOVP_iohRLI&amp;mute=1" frameborder="0" allow="autoplay" id="widget" style="height: 1300px; width: 1920px; margin-top: -254px;"></iframe>
                <div class="iframe-wrapper__content">
                    <div class="small-container">
                        <div class="block">
                            <a class="image" href="#">
                                <img alt="" src="~@/assets/images/Home/circle_minimized.png" >
                            </a>
                            <div class="text">
                                <strong>ПЕРЕВОЗКИ ПО ЦИФРОВЫМ ТЕХНОЛОГИЯМ</strong>
                                <p>
                                    Для наших клиентов перевозки стали проще, оптимальнее по стоимости, прозрачнее. Для наших партнеров – перевозчиков загрузки стали удобнее, порожние пробеги и простои сократились.
                                </p>
                                <router-link to="/entry" class="btn">
                                <span>
                                    Платформа "ГРУЗИ"
                                </span>
                                </router-link>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="clients-section">
            <h2>НАШИ КЛИЕНТЫ:</h2>
            <div class="slider">
                <div class="item">
                    <img alt="" src="~@/assets/images/Home/nestle.jpg">
                </div>
                <div class="item">
                    <img alt="" src="~@/assets/images/Home/leroy.png">
                </div>
                <div class="item">
                    <img alt="" src="~@/assets/images/Home/x5.jpg">
                </div>
                <div class="item">
                    <img alt="" src="~@/assets/images/Home/Mvideo.jpg">
                </div>
                <div class="item">
                    <img alt="" src="~@/assets/images/Home/LG.jpg" >
                </div>
                <div class="item">
                    <img alt="" src="~@/assets/images/Home/cw.jpg" >
                </div>
            </div>
        </section>
        <section class="services-section">
            <h2>
                УСЛУГИ КОМПАНИИ ГРУЗИ:
            </h2>
            <div class="big-container">
                <div class="items-wrapper">
                    <div class="item">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_20.png">
                        </div>
                        <div class="item__text">
                            Авто FTL внутренний
                        </div>
                    </div>
                    <div class="item">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_17.png">
                        </div>
                        <div class="item__text">
                            Контейнерные перевозки внутренние
                        </div>
                    </div>
                    <div class="item">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_15.png">
                        </div>
                        <div class="item__text">
                            Мультимодальные ЖД вагонные перевозки
                        </div>
                    </div>
                    <div class="item">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_21.png">
                        </div>
                        <div class="item__text">
                            Городская и областная авто-доставка
                        </div>
                    </div>

                    <div class="item big-text">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_20.png">
                        </div>
                        <div class="item__text">
                            Авто FTL международный
                        </div>
                    </div>
                    <div class="item big-text">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_17.png">
                        </div>
                        <div class="item__text">
                            Контейнерные перевозки международные
                        </div>
                    </div>
                    <div class="item big-text">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_19.png">
                        </div>
                        <div class="item__text">
                            Сборные LTL внутренние перевозки
                        </div>
                    </div>
                    <div class="item big-text">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_18.png">
                        </div>
                        <div class="item__text">
                            Авиа-доставки
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section id="finteh" class="finteh-section">
            <h2>
                ФИНТЕХ УСЛУГИ:
            </h2>
            <div class="big-container">
                <div class="items-wrapper">
                    <div class="item">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_14.png">
                        </div>
                        <div class="item__text">
                            Авансирование
                        </div>
                    </div>
                    <div class="item">
                        <div class="item__image">
                            <img alt="" src="~@/assets/images/Home/Group_16.png">
                        </div>
                        <div class="item__text">
                            Страхование
                        </div>
                    </div>
                </div>
                <div class="big-slider">
                    <div class="item">
                        <div class="part item__left">
                            <img alt="" src="~@/assets/images/Home/1_1.jpg"  >
                        </div>
                        <div class="part item__right">
                            <h2>
                                АВАНСИРОВАНИЕ
                            </h2>
                            <div class="text">
                                Для получения аванса необходимо ознакомится с <a class="link" href="#">Порядком авансирования</a>, заполнить
                                <a class="link" href="#">Заявку на аванс</a> и отправить менеджеру по авансированию:
                                <br/>
                                Трунина Татьяна +74956460603 доб. 1411
                                <br/>
                                email: <strong>ttrunina@oboz.com</strong>
                            </div>
                            <a href="#" class="btn">
                                <span>Условия авансирования</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section class="company-section">
            <h2>КОМПАНИЯ В ЦИФРАХ:</h2>
            <div class="content">
                <div class="block">
                    <div class="big-container">
                        <div class="title">C 2009 года на рынке транспортных услуг</div>
                        <div class="line">
                            <div class="item">
                                <div class="num">750</div>
                                <div class="text">Выполненных заказов ежедневно</div>
                            </div>
                            <div class="item">
                                <div class="num">20 000</div>
                                <div class="text">Транспортных средств подключенных к системе</div>
                            </div>
                            <div class="item">
                                <div class="num">11 000</div>
                                <div class="text">Проверенных перевозчиков в системе</div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section id="news" class="news-section">
            <h2>НОВОСТИ</h2>
            <div class="big-container">
                <div class="big-slider">
                    <div class="item">
                        <div class="part item__left">
                            <img alt="" src="~@/assets/images/Home/WCA_logo.png">
                        </div>
                        <div class="part item__right">
                            <h2>
                                КОМПАНИЯ ГРУЗИ СТАЛА ЧЛЕНОМ ВСЕМИРНОГО ГРУЗОВОГО АЛЬЯНСА WCA (THE WORLD CARGO ALLIANCE )
                            </h2>
                            <div class="text">
                                Ассоциация <strong>WCA</strong> Всемирный Грузовой Альянс («The <strong>World</strong> Cargo Alliance») объединяет более 500 независимых международных экспедиторских компаний в 193 странах мира. Членство возможно исключительно при условии высокого уровня стандартов сервиса в рамках международных перевозок.
                            </div>
                            <a href="#" class="btn">
                                <span>WCA Website</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section id="about" class="about-section">
            <h2>
                О КОМПАНИИ
            </h2>
            <div class="block">
                <div class="middle-container">
                    <div class="content">
                        <div class="title">
                            <strong>Компания «ГРУЗИ»</strong>
                        </div>
                        <div class="text">
                            <strong>Компания «ГРУЗИ»</strong> – универсальный провайдер логистических услуг, внедряющий цифровые инновации в сфере логистики. Задача компании – обеспечить оптимальные высокотехнологичные решения для многочисленных клиентов и партнеров, способствующие росту и развитию бизнеса. Основное направление деятельности организации, оптимизация и автоматизация грузоперевозок. Также компания «Грузи» предлагает целый ряд эксклюзивных возможностей, объединенных в одной цифровой платформе.
                        </div>
                        <div class="text">
                            Партнерами компании «Грузи» являются более 11.000 перевозчиков, что позволяет предоставить клиенту оптимальные цены и сроки, а постоянное внедрение уникальных технологий позволяет гарантировать высокое качество! Компания «ГРУЗИ» - это команда профессионалов и экспертов с многолетним опытом работы в области транспортной логистики.
                        </div>
                    </div>
                </div>
            </div>
            <a class="save btn" href="#">
                <span>Скачать презентацию</span>
            </a>
        </section>
        <section class="reviews-section">
            <h2>ОТЗЫВЫ НАШИХ КЛИЕНТОВ</h2>
            <div class="slider">
                <div class="item">
                    <div class="text">
                        Наша компания выражает вам искреннюю благодарность и глубокую признательность за плодотворное сотрудничество. Мы хорошо осознаем, что своими успехами обязаны прежде всего компаниям, с которыми сотрудничаем, в частности, успешному сотрудничеству с вами.
                        <br/>
                        <br/>
                        Хотелось бы отметить индивидуальный подход при решении любых вопросов, возникающих в процессе работы, оперативность принятия решений, гарантированное выполнение взятых на себя обязательств, профессионализм и компетентность ваших сотрудников.
                        <br/>
                        <br/>
                        Дмитрий Косенко <br/>
                        Руководитель департамента запасных частей<br/>
                        ЗАО «Чери Автомобили Рус»
                    </div>
                    <div class="logo">
                        <img alt="" src="~@/assets/images/Home/noroot.png">
                    </div>
                </div>
            </div>
        </section>
        <section class="how_it_works-section">
            <h2>
                КАК РАБОТАЕТ GRUZI.ONLINE
            </h2>
            <div class="iframe-wrapper">
                <div class="bg"></div>
                <iframe src="https://www.youtube.com/embed/ulGlk1IjiVQ?autoplay=1&amp;loop=1&amp;enablejsapi=1&amp;&amp;playerapiid=featuredytplayer&amp;controls=0&amp;modestbranding=1&amp;rel=0&amp;showinfo=0&amp;color=white&amp;iv_load_policy=3&amp;theme=light&amp;wmode=transparent&amp;origin=file://&amp;playlist=ulGlk1IjiVQ&amp;mute=1" frameborder="0" allow="autoplay"></iframe>
                <div class="iframe-wrapper__content">
                    <div class="small-container">
                        <div class="block">
                            <div class="min-title">gruzi.online</div>
                            <div class="title">Как работает <br/> gruzi.online</div>
                            <div class="text">Посмотрите обучающее видео чтобы узнать какие возможности вам дает интеграция с нашими продуктами</div>
                            <div class="play-icon">
                                <div class="play-icon__body"></div>
                                <div class="play-icon__bg"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <a href="#" class="btn">
                <span>
                    Перейти в gruzi.online
                </span>
            </a>
        </section>
        <section class="advantages-section">
            <h2>
                ПРЕИМУЩЕСТВА РАБОТЫ С ГРУЗИ
            </h2>
            <div class="content-line" id="advantages">
                <div class="part image one"></div>
                <div class="part text">
                    <div class="title">
                        Грузи для клиентов это:
                    </div>
                    <ul>
                        <li>Простота размещения заказа</li>
                        <li>Гарантия надежности партнеров-перевозчиков</li>
                        <li>Гарантия высокого качества обслуживания и доставки точно в срок</li>
                        <li>Оптимальные прозрачные тарифы</li>
                        <li>Отслеживание грузов в режиме online</li>
                        <li>Подтверждение доставки POD ( proof of delivery ) в момент завершения перевозки</li>
                        <li>Быстрые качественные отчеты, настраиваемые индивидуально</li>
                        <li>Удобный интерфейс для отслеживания взаиморасчетов</li>
                    </ul>
                    <div class="agree">
                        *заполняя данную форму вы даете <a href="#">согласие на обработку персональных данных</a>
                    </div>
                    <form class="form" action="">
                        <div class="title">
                            Ваше имя
                        </div>
                        <div class="input_wrapper">
                            <label>
                                <input type="text" placeholder="E-mail" name="email">
                            </label>
                        </div>
                        <div class="input_wrapper">
                            <label>
                                <input type="text" placeholder="Ваше имя" name="name">
                            </label>
                        </div>
                        <div class="input_wrapper">
                            <label>
                                <input type="tel" placeholder="Ваш телефон" name="phone">
                            </label>
                        </div>
                        <div class="input_wrapper">
                            <label>
                                <input type="text" placeholder="Цель Вашего обращения" name="more">
                            </label>
                        </div>
                        <button class="btn">
                            <span> Отправить заявку </span>
                        </button>
                    </form>
                </div>
            </div>
            <div class="line"></div>
            <div class="content-line last-line" id="carrier">
                <div class="part text">
                    <div class="title">
                        Грузи для перевозчиков это:
                    </div>
                    <ul>
                        <li>Возможность самостоятельно отслеживать свой транспорт на карте</li>
                        <li>Мониторинг времени движения, учет простоев и перепробегов</li>
                        <li>Контроль времени стоянки водителей</li>
                        <li>Осуществление взаиморасчетов исходя из online данных в ГРУЗИ - сокращение сроков согласования и оплата</li>
                    </ul>
                    <a href="#" class="btn">
                            <span>
                                Зарегистрироваться
                            </span>
                    </a>
                </div>
                <div class="part image two"></div>
            </div>
        </section>
        <section class="contacts-section">
            <h2>
                КОНТАКТЫ
            </h2>
            <div class="map">
                <iframe src="https://yandex.ru/map-widget/v1/-/C0XPBOL6" width="100%" height="400" frameborder="1" allowfullscreen="true" style="position:relative;"></iframe>
            </div>
            <div class="iframe-wrapper">
                <div class="bg"></div>
                <iframe src="https://www.youtube.com/embed/WfGfC9vt-qw?autoplay=1&amp;loop=1&amp;enablejsapi=1&amp;&amp;playerapiid=featuredytplayer&amp;controls=0&amp;modestbranding=1&amp;rel=0&amp;showinfo=0&amp;color=white&amp;iv_load_policy=3&amp;theme=light&amp;wmode=transparent&amp;origin=file://&amp;playlist=WfGfC9vt-qw&amp;mute=1" frameborder="0" allow="autoplay" id="widget2" style="height: 1232px; width: 1692px; margin-top: -147px; margin-left: -182px;"></iframe>
                <div class="iframe-wrapper__content">
                    <div class="small-container">
                        <div class="block">
                            <div>
                                <strong>Телефон:</strong> <br/>
                                +7 495 646 06 03<br/>
                                +8 800 301 06 03<br/>
                                <strong>E-mail:</strong><br/>
                                info@gruzi.ru<br/>
                                <strong> Реквизиты:</strong><br/>
                                ООО "Грузи"<br/>
                                ОГРН: 1177746011871<br/>
                                ИНН: 7734397465<br/>
                                КПП: 771401001<br/>
                                <br/>
                                ООО "ГРУЗИ ДИДЖИТАЛ"<br/>
                                ОГРН: 1097746323443<br/>
                                ИНН: 7726630679<br/>
                                КПП: 771401001<br/>
                                <br/>
                                <strong>Адрес:</strong><br/>
                                127015, г. Москва, ул. Вятская, д. 27, стр. 13, этаж 3
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <footer>
            <div class="nav">
                <a href="#">Перевозчикам</a>
                <a href="#">Клиентам</a>
                <a href="#">Новости</a>
                <a href="#">Вакансии</a>
                <a href="#">Согласие на обработку персональных данных</a>
                <a href="#">Политика конфидециальности</a>
                <a href="#">Тех. поддержка</a>
            </div>
            <div class="copy">© 2019 All Rights Reserved.</div>
        </footer>
    </div>
</template>

<script>
    import { getCookie } from '@/utils/cookie'
    import api from '@/api'

    export default {
        name: "index",
        data() {
            return {
                activeClass: '',
                scroll: false,
            }
        },
        methods:{
            scrollTo: function (item) {
                this.activeClass = item
                this.scroll = true
                let element = document.getElementById(item);
                element.scrollIntoView({behavior: "smooth"});
                setTimeout( ()=> {
                    this.scroll = false
                },2000)
            },
            windowScroll: function () {
                if ( !this.scroll) {
                    this.activeClass = ''
                }
            },
            redirectToTasks (userInfo) {
                let rolesTender = ['организатор тендера', 'участник тендера']
                let isTenderRoles = userInfo.roles.length && userInfo.roles.some(item => rolesTender.includes(item.name.toLowerCase()))

                if (isTenderRoles) {
                    this.$router.replace({ name: 'tenders__tenders' })
                } else {
                    this.$router.replace({ name: 'settings__sb_settings__task_monitor' })
                }
            }
        },
        beforeCreate () {
            if (getCookie('auth_token')) {
                api.registration.auth.getUserInfo().then((data) => {
                    this.redirectToTasks(data)
                })
            }
        },
        created () {
            window.addEventListener('scroll', this.windowScroll);
        },
    }
</script>

<style lang="scss" scoped>
    @import '~common-components/src/static/css/mixins';
    @mixin flex($alignItems, $justifyContent, $flexDirection, $flexWrap) {
        display: -webkit-box;
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flexbox;
        display: flex;
        align-items: $alignItems;
        justify-content: $justifyContent;
        flex-direction: $flexDirection;
        flex-wrap: $flexWrap;

    }
    .wrapper{
        width: 100%;
        background: #fff;
    }
    h2{
        @include font-mixin(24px, 28px, 700);
        font-family: Arial;
        text-align: center;
    }
    section{
        padding-top: 80px;
    }
    strong{
        font-weight: 700;
    }
    .btn{
        height: 50px;
        border-radius: 50px;
        text-decoration: none;
        width: max-content;
        padding: 0 60px;
        border: none;
        outline: none;
        cursor: pointer;
        @include font-mixin(16px, 16px, 700);
        text-align: center;
        @include flex(center, center, row, wrap);
    }
    .input_wrapper{
        margin-bottom: 30px;
    }
    input{
        border: none;
        background: none;
        color: #000000;
        border-bottom: 1px solid #b3b3b3;
        width: 100%;
        height: 60px;
        outline: none;
        @include font-mixin(16px, 1.33, 400, #7f7f7f);
        font-family: Arial;
        &::placeholder{
            @include font-mixin(16px, 1.33, 400 ,#7f7f7f);
            font-family: Arial;
        }
    }
    .big-container{
        width: 1200px;
        margin: 0 auto;
        @media screen and (max-width: 1250px){
            width: 900px;
        }
        @media screen and (max-width: 980px){
            width: 600px;
        }
        @media screen and (max-width: 650px){
            width: 100%;
            padding: 0 15px;
        }
    }
    .middle-container{
        width: 880px;
        margin: 0 auto;
        @media screen and (max-width: 980px){
            width: 600px;
        }
        @media screen and (max-width: 650px){
            width: 100%;
            padding: 0 15px;
        }
    }
    .small-container{
        width: 760px;
        margin: 0 auto;
        height: 100%;
        @media screen and (max-width: 980px){
            width: 600px;
        }
        @media screen and (max-width: 650px){
            width: 100%;
            padding: 0 15px;
        }
    }
    .big-slider{
        margin-top: 70px;
        .item{
            @include flex(flex-start, center, row, wrap);
            @media screen and (max-width: 980px){
                @include flex(flex-start, center, column, wrap);
            }
            .part{
                width: 50%;
                padding: 0 20px;
                @media screen and (max-width: 980px){
                    width: 100%;
                }
            }
            &__left{
                img{
                    width: 100%;
                }
            }
            &__right{
                @media screen and (max-width: 980px){
                    margin-top: 20px;
                }
                h2{
                    text-align: left;
                }
                .text{
                    margin-top: 30px;
                    @include font-mixin(20px, 1.55, 300);
                    .link{
                        text-decoration: none;
                        color: #004bc7;
                        @include font-mixin(20px, 1.55, 700);
                    }
                }
                .btn{
                    margin-top: 60px;
                    color: #222222;
                    border: 2px solid #004bc7;
                    height: 60px;
                }
            }
        }
    }
    header{
        position: fixed;
        background: #fff;
        width: 100%;
        left: 0;
        top: 0;
        z-index: 10;
        @media screen and (max-width: 980px){
            position: relative;
        }
        .logo,.right{
            width: 350px;
            @media screen and (max-width: 1550px){
                width: auto;
            }
        }
        .nav{
            margin-top: 10px;
            padding: 0 40px;
            @include flex(center, space-between, row, nowrap);
            @media screen and (max-width: 980px){
                padding: 30px 0;
                @include flex(center, space-between, column, nowrap);
            }
            a, span{
                cursor: pointer;
                display: block;
                position: relative;
                color: #000;
                text-decoration: none;
                @include font-mixin(16px, 16px, 600);
                &.contacts{
                    @include font-mixin(14px, 16px, 600);
                    padding: 0 60px;
                    @media screen and (max-width: 1350px){
                        padding: 0 30px;
                    }
                    @media screen and (max-width: 980px){
                        padding: 10px;
                        margin: 20px 0;
                    }
                }
                img {
                    width: 140px;
                    margin-top: -8px;
                }
            }
            .links{
                @include flex(center, center, row, wrap);
                a, span{
                    margin: 0 15px;
                    &:after{
                        content: '';
                        position: absolute;
                        bottom: 4px;
                        width: 100%;
                        left: 0;
                        height: 2px;
                        background: #0000FF;
                        opacity: 0;
                        transition: .3s;
                    }
                    &:hover{
                        &:after{
                            bottom: -1px;
                            opacity: 1;
                        }
                    }
                    &.active{
                        color: #4d4d4d;
                        &:after{
                            bottom: -1px;
                            opacity: 1;
                        }
                    }
                    @media screen and (max-width: 980px){
                        padding: 10px;
                    }
                }
                @media screen and (max-width: 980px){
                    @include flex(center, center, column, nowrap);
                    margin-top: 30px;
                }
            }
            .right{
                @include flex(center, center, row, nowrap);
                @media screen and (max-width: 980px){
                    @include flex(center, center, column, nowrap);
                    margin-top: 30px;
                }
                .soc{
                    @include flex(center, center, row, nowrap);
                    a{
                        padding: 0 5px;
                    }
                }
            }
        }
    }
    .first-section{
        padding-top: 75px;
        .iframe-wrapper{
            overflow: hidden;
            position: relative;
            height: 791px;
            iframe{
                pointer-events: none;
            }
            &__content{
                position: absolute;
                width: 100%;
                height: 100%;
                background: rgba(0,0,0,.4);
                top: 0;
                left: 0;
                .block{
                    margin: 60px auto 0;
                    height: 100%;
                    .image{
                        display: block;
                        width: 280px;
                        margin: 0 auto 55px auto;
                        img{
                            width: 100%;
                        }
                    }
                    .text{
                        color: #fff;
                        text-align: center;
                        line-height:36px;
                        strong{
                            font-size: 34px;
                        }
                        p{
                            font-size: 20px;
                        }
                        .btn{
                            font-size: 14px;
                            background-color: #004bc7;
                            color: #fff;
                            margin: 50px auto 0;
                            padding: 0 30px;
                        }
                    }
                }
            }
        }
    }
    .clients-section{
        .slider{
            @include flex(center, center, row, wrap);
            margin-top: 50px;
            .item{
                width: 150px;
                padding: 20px;
                img{
                    width: 100%;
                }
            }
        }
    }
    .services-section{
        .items-wrapper{
            margin-top: 60px;
            @include flex(flex-start, center, row, wrap);
            .item{
                width: 250px;
                margin: 20px;
                &__image{
                    width: 100px;
                    margin: 0 auto;
                    img{
                        width: 100%;
                    }
                }
                &__text{
                    margin-top: 25px;
                    @include font-mixin(14px, 1.17, 600);
                    text-align: center;
                }
                &.big-text{
                    .item__text{
                        @include font-mixin(16px, 1.17, 600);
                        text-align: center;
                    }
                }
            }
        }
    }
    .finteh-section{
        .items-wrapper{
            margin-top: 60px;
            @include flex(flex-start, center, row, wrap);
            .item{
                width: 50%;
                &__image{
                    width: 100px;
                    margin: 0 auto;
                    img{
                        width: 100%;
                    }
                }
                &__text{
                    margin-top: 25px;
                    @include font-mixin(16px, 1.17, 600);
                    text-align: center;
                }
            }
        }
    }
    .company-section{
        .content{
            margin-top: 50px;
            background-image: url("~@/assets/images/Home/pointing-at-chart-ps.jpg");
            background-attachment: fixed;
            background-size: cover;
            background-position: center center;
            background-repeat: no-repeat;
        }
        .block{
            padding: 60px 0;
            color: #fff;
            background: rgba(0,0,0, .4);
            height: 100%;
            @include font-mixin(24px, 34px, 700, #fff);
            text-align: center;
            .title{
                margin-bottom: 100px;
            }
            .line{
                @include flex(flex-start, space-between, row, wrap);
                @media screen and (max-width: 980px){
                    @include flex(flex-start, space-between, column, wrap);
                }
                .item{
                    width: 30%;
                    @media screen and (max-width: 980px){
                        width: 100%;
                    }
                    .num{
                        font-size: 52px;
                        padding-bottom: 40px;
                        border-bottom: 1px solid rgba(255, 255, 255, 0.2);
                    }
                    .text{
                        margin-top: 30px;
                    }
                }
            }
        }
    }
    .about-section{
        .block{
            margin-top: 50px;
            background-image: url("~@/assets/images/Home/2_4.jpg");
            background-attachment: fixed;
            background-size: cover;
            background-position: center center;
            background-repeat: no-repeat;
            padding: 100px 0;
            .content{
                background: #fff;
                padding: 60px;
                .title {
                    padding-top: 20px;
                    padding-bottom: 20px;
                    @include font-mixin(42px, 1.23, 700);
                }
                .text{
                    padding-bottom: 20px;
                    padding-top: 20px;
                    @include font-mixin(20px, 1.55, 300);
                }
            }
        }
        .save{
            color: #fff;
            background: #004bc7;
            margin: 30px auto 0;
        }
    }
    .reviews-section{
        .slider{
            width: 660px;
            margin: 40px auto 0;
            @media screen and (max-width: 750px){
                width: 100%;
                padding: 0 15px;
            }
            .item{
                .text{
                    @include font-mixin(22px, 1.55, 300);
                }
                .logo{
                    width: 150px;
                    margin: 35px auto 0;
                    img{
                        width: 100%;
                    }
                }
            }
        }
    }
    .how_it_works-section {
        .iframe-wrapper {
            height: 80vh;
            margin-top: 30px;
            overflow: hidden;
            position: relative;

            .bg {
                background: #000;
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                z-index: 1;
            }

            iframe {
                position: relative;
                width: 1400px;
                display: block;
                margin: -125px auto 0;
                height: 1000px;
                pointer-events: none;
                z-index: 2;
            }

            &__content {
                position: absolute;
                width: 100%;
                height: 100%;
                background: rgba(0, 0, 0, .7);
                top: 0;
                left: 0;
                z-index: 3;

                .block {
                    margin: 60px auto 0;
                    height: 100%;
                    color: #fff;
                    @include flex(center, center, column, wrap);

                    .min-title {
                        @include font-mixin(12px, 1.55, 600);
                        text-align: center;
                    }

                    .title {
                        margin-bottom: 20px;
                        @include font-mixin(72px, 1.55, 600);
                        text-align: center;
                        @media screen and (max-width: 750px){
                            @include font-mixin(42px, 1.55, 600);
                        }
                    }

                    .text {
                        @include font-mixin(18px, 1.55, 300);
                        text-align: center;
                    }

                    .play-icon {
                        margin: 40px auto;
                        width: 94px;
                        height: 94px;
                        -webkit-transition: all ease-in-out .2s;
                        -moz-transition: all ease-in-out .2s;
                        -o-transition: all ease-in-out .2s;
                        transition: all ease-in-out .2s;
                        border-radius: 100px;
                        text-align: center;
                        position: relative;
                        &:hover{
                            transform: scale(1.15);
                        }
                        &__body {
                            width: 0;
                            height: 0;
                            border-style: solid;
                            border-width: 13px 0 13px 21px;
                            margin: 0 auto;
                            position: absolute;
                            top: 50%;
                            margin-top: -11px;
                            margin-left: 39px;
                            cursor: pointer;
                            z-index: 1;
                            border-color: transparent transparent transparent #000000;
                        }

                        &__bg {
                            background-color: #fff;
                            opacity: 1;
                            position: absolute;
                            top: 0;
                            right: 0;
                            bottom: 0;
                            left: 0;
                            border-radius: 100px;
                        }
                    }
                }
            }
        }
        .btn{
            background-color: #004bc7;
            color: #fff;
            margin: 60px auto 0;
            height: 60px;
        }
    }
    .advantages-section{
        .line{
            width: 760px;
            margin: 60px auto;
            height: 1px;
            background: rgb(0,0,0);
            background: radial-gradient(circle, rgba(0,0,0,1) 50%, rgba(255,255,255,1) 100%);
            opacity: .2;
            @media screen and (max-width: 760px){
                width: 100%;
            }
        }
        .content-line{
            display: flex;
            margin-top: 60px;
            @media screen and (max-width: 980px){
                @include flex(flex-start, center, column, wrap);
            }
            &.last-line{
                @media screen and (max-width: 980px){
                    @include flex(flex-start, center, column-reverse, wrap);
                }
            }
            .part{
                width: 50%;
                @media screen and (max-width: 980px){
                    width: 100%;
                }
                img{
                    width: 100%;
                }
                .title{
                    @include font-mixin(42px, 1.23, 600);
                }
                ul{
                    padding-left: 20px;
                    margin-top: 20px;
                    @include font-mixin(20px, 1.55, 300);
                }
                .agree{
                    margin-top: 30px;
                    @include font-mixin(16px, 1.55, 300);
                    a{
                        text-decoration: none;
                        color: #1f5bff;
                    }
                }
            }
            .image{
                background-size: cover;
                background-position: center;
                background-repeat: no-repeat;
                &.one{
                    background-image: url("~@/assets/images/Home/3_4.jpg");
                }
                &.two{
                    background-image: url("~@/assets/images/Home/backgroundvisual_fix.jpg");
                }
                @media screen and (max-width: 980px){
                    height: 500px;
                }
            }
            .text{
                padding: 80px 60px;
            }
            .form{
                margin-top: 30px;
                .title{
                    @include font-mixin(20px, 1.55, 300);
                }
            }
            .btn{
                color: #ffffff;
                background-color: #1f5bff;
                height: 60px;
                margin-top: 60px;
            }
            &:last-child{
                .text{
                    padding: 120px 60px;
                }
            }
        }
    }
    .contacts-section{
        .map{
            margin-top: 60px;
            iframe{
                border: none;
            }
        }
        .iframe-wrapper {
            height: 100vh;
            margin-top: 30px;
            overflow: hidden;
            position: relative;

            .bg {
                background: #000;
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                z-index: 1;
            }

            iframe {
                position: relative;
                width: 1400px;
                display: block;
                margin: -125px auto 0;
                height: 1000px;
                pointer-events: none;
                z-index: 2;
            }

            &__content {
                position: absolute;
                width: 100%;
                height: 100%;
                background: rgba(0, 0, 0, .6);
                top: 0;
                left: 0;
                z-index: 3;
                padding: 60px 0;
                .block {
                    height: 100%;
                    padding: 40px 0;
                    background-color: #fff;
                    @include font-mixin(20px, 1.55, 300);
                    text-align: center;
                    @include flex(center, center, column, wrap);
                }
            }
        }
    }
    footer{
        padding: 30px 0 75px;
        .nav{
            @include flex(center, center, row, wrap);
            a{
                color:#000;
                text-decoration: none;
                padding: 0 15px;
                @include font-mixin(14px, 14px, 600);
                text-align: center;
                margin: 10px;
            }
        }
        .copy{
            text-align: center;
            padding: 40px 0 10px;
            @include font-mixin(14px, 14px, 700);
            text-align: center;
            opacity: .7;
        }
    }
</style>